| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ProtocolVersion_t Struct Reference

Structure ProtocolVersion_t, contains the protocol version. More...

`#include <Types.hpp>`

## Public Member Functions

| ProtocolVersion_t ()
| ProtocolVersion_t (octet maj, octet min)
bool | operator== (const ProtocolVersion_t &v) const
bool | operator!= (const ProtocolVersion_t &v) const

## Public Attributes

octet | m_major
octet | m_minor

## Detailed Description

Structure ProtocolVersion_t, contains the protocol version.

## Constructor & Destructor Documentation

## ◆ ProtocolVersion_t() [1/2]

ProtocolVersion_t | ( |  | ) |

inline

## ◆ ProtocolVersion_t() [2/2]

ProtocolVersion_t | ( | octet | maj,
|  | octet | min )

inline

## Member Function Documentation

## ◆ operator!=()

bool operator!= | ( | const ProtocolVersion_t & | v | ) | const

inline

## ◆ operator==()

bool operator== | ( | const ProtocolVersion_t & | v | ) | const

inline

## Member Data Documentation

## ◆ m_major

octet m_major

## ◆ m_minor

octet m_minor

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/Types.hpp